MAILFROMD(8)

NAME
mailfromd - a general-purpose mail filtering daemon

SYNOPSIS
mailfromd [OPTION...] [var=value...][SCRIPT]

DESCRIPTION
mailfromd -- a general purpose milter daemon

    Operation modifiers

--daemon
    run in daemon mode (default)

-E  preprocess source files and exit

--lint, --syntax-check check syntax and exit

--run[=FUNC]
    run script and execute function FUNC ("main" if not given)

--show-defaults
    show compilation defaults

-t, --test[=HANDLER]
    run in test mode

    General options

--callout-socket=STRING
    set callout socket

--echo[=FILE]
    divert output of the "echo" instruction to FILE

-I, --include-path=DIR
    add the directory DIR to the list of directories to be searched for header files

--mtasim
    run in mtasim compatibility mode

-O, --optimize[=LEVEL]
    set code optimization level

-P, --module-path=DIR
    add the directory DIR to the list of directories to be searched for MFL module files

-p, --port, --milter-socket=STRING
    set communication socket

--relayed-domain-file=FILE
    read relayed domains from FILE

--resolv-conf-file=FILE
    read resolver configuration from FILE

-v, --variable=VAR=VALUE
    assign VALUE to VAR

    Preprocessor options

-D, --define=NAME[=VALUE]
    define a preprocessor symbol NAME as having VALUE, or empty

--no-preprocessor
    disable the use of external preprocessor

--preprocessor[=COMMAND]
    use command as external preprocessor

-U, --undefine=NAME
    undefine a preprocessor symbol NAME

    Timeout control

--milter-timeout=TIME
    set MTA connection timeout

    Informational and debugging options

--dump-code
    dump disassembled code

--dump-grammar-trace
    dump grammar traces

--dump-lex-trace
    dump lexical analyzer traces

--dump-macros
    show used Sendmail macros

--dump-tree
    dump parser tree

--gacopyz-log=LEVEL
    set Gacopyz log level

--[no-]location-column print location column numbers in compiler
    diagnostics messages

--[no-]stack-trace
    enable stack traces on runtime errors

--[no-]trace
    trace executed actions

--trace-program[=MODULES]
    enable filter program tracing

--xref, --dump-xref
    produce a cross-reference listing

    Global debugging settings

--debug-level=LEVEL
    set Mailutils debugging level

--[no-]debug-line-info show source info with debugging messages

--log-facility=FACILITY
    output logs to syslog FACILITY

-M, --mailer=MAILER
    use specified URL as the default mailer

    Server configuration modifiers

--foreground
    stay in foreground

-g, --group=NAME
    retain the supplementary group NAME when switching to user privileges

--pidfile=FILE
    set pidfile name

-S, --source-ip=ADDRESS
    set source address for TCP connections

--single-process
    run in single-process mode

--state-directory=DIR
    set new program state directory

-u, --user=NAME
    switch to this user privileges after startup

    Logging and debugging options

-d, --debug=LEVEL
    set debugging level

--log-tag=STRING
    set the identifier used in syslog messages to STRING

--logger=STREAM
    select logger stream

--[no-]source-info
    debug messages include source information

--stderr
    log to stderr

--syslog
    log to syslog (default)

-X, --[no-]transcript
    enable transcript of SMTP sessions

    Configuration handling

--config-file=FILE
    load this configuration file; implies --no-config

--config-lint
    check configuration file syntax and exit

--config-verbose
    verbosely log parsing of the configuration files

--no-site-config, --no-config
    do not load site-wide configuration file

--set=PARAM=VALUE
    set configuration parameter

    Informational options

--config-help
    show configuration file summary

--show-config-options
    show compilation options

-?, --help
    give this help list

--usage
    give a short usage message

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

AUTHOR
Written by Sergey Poznyakoff.

REPORTING BUGS
Report bugs to <bug-mailfromd@gnu.org.ua>. mailfromd home page: <http://www.gnu.org.ua/software/mailfromd>

COPYRIGHT
Copyright © 2005-2023 Sergey Poznyakoff License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for mailfromd is maintained as a Texinfo manual. If the info and mailfromd programs are properly installed at your site, the command

    info mailfromd

should give you access to the complete manual.